{ buildPackages, ports }:
with ports; {

  gpt_write.portInputs = [ jitterentropy ];

  intel_fb_drv = {
    BOARD = "pc";
    portInputs = [ dde_linux ];
  };

  libc.portInputs = [ libc ];

  lighttpd.portInputs = [ libc lighttpd openssl zlib ];

  noux.portInputs = [ libc ];

  posix.portInputs = [ libc ];

  rump = {
    portInputs = [ dde_rump ];
    buildInputs = with buildPackages; [ zlib ];
  };

  usb_drv.portInputs = [ dde_linux ];

  vbox5 = {
    KERNEL = "nova";
    portInputs = [ libc libiconv qemu-usb stdcxx virtualbox5 ];
    nativeBuildInputs = with buildPackages; [ iasl yasm ];
    enableParallelBuilding = false;
  };

  vesa_drv.portInputs = [ libc x86emu ];

  vfs_jitterentropy.portInputs = [ jitterentropy libc ];
  vfs_lwip.portInputs = [ lwip ];
  vfs_ttf.portInputs = [ libc stb ];

  wifi_drv.portInputs = [ dde_linux libc openssl ];

}
